Chat Session

This endpoint generates an AI response for a query requested by the user in a chat session with the AI chatbot

post
Query parameters
widgetIdstringRequired

ID of the widget

Body
interactionIdstringOptional

Optional id of the interaction. If provided, it will merge history of all previous chats, else the system will generate a new one

contentstringRequired

Query by a user or Response from the system

chatUserIdstringOptional

Optional id of the chat user. If not given, system will generate a new one automatically

Responses
chevron-right
200

Chat Message Object

application/json
interactionIdstringOptional

ID of the Interaction. Keep this same across multiple chats to maintain history for user chats.

contentstringRequired

Response from the system

chatUserIdstringOptional

ID of the chat user. If not given, system will generate one automatically

rolestring Β· enumOptional

User/Assistant depending if its a user query or a assistant reply

Possible values:
creatednumberOptional

Timestamp for message generation

messageIdstringOptional

Unique Id of the message across the interaction

post
/v1/interact/chat

Last updated